package com.zipcoder.payment;

public class CreditCard implements Payment {

    Long id;
    String payerName;
    String number;
    int expiredMonth;
    int expiredYear;

    public CreditCard(Long id, String payerName, String number, int expiredMonth, int expiredYear) {
        this.id = id;
        this.payerName = payerName;
        this.number = number;
        this.expiredMonth = expiredMonth;
        this.expiredYear = expiredYear;
    }

    public CreditCard() {
        id = 0L;
        payerName = "";
        number = "";
        expiredMonth = 0;
        expiredYear = 0;
    }


    public void setId(Long id) {
        this.id = id;
    }

    //on Payment interface
    public Long getId() {
        return id;
    }


    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    //on Payment interface
    public String getPayerName() {
        return payerName;
    }


    public void setNumber(String number) {
        this.number = number;
    }


    public String getNumber() {
        return number;
    }


    public void setExpiredMonth(int expiredMonth) {
        this.expiredMonth = expiredMonth;
    }

    public int getExpiredMonth() {
        return expiredMonth;
    }

    public void setExpiredYear(int expiredYear) {
        this.expiredYear = expiredYear;
    }

    public int getExpiredYear() {
        return expiredYear;
    }

    //on Payment interface
    public String getShortDescription() {
        return  "CC " + payerName +" "+number.substring(number.length()-4) + " "+expiredMonth + "/" + expiredYear;
    }

    public int compareTo(Payment o) {
        return this.getShortDescription().compareTo(o.getShortDescription());
    }
}