package com.zipcoder.payment;

import java.util.Arrays;
import java.util.Comparator;


public class PaymentPresenter {


    public String toString(Payment[] payments) {

        Arrays.sort(payments);

        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < payments.length; i++) {
            sb.append(payments[i].getShortDescription() + "\n");
        }
        return sb.toString();
    }

    public String toStringByPayerName(Payment[] payments) {

        Arrays.sort(payments, new PaymentSortByPayer());

        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < payments.length; i++) {
            sb.append(payments[i].getShortDescription() + "\n");
        }
        return sb.toString();
    }

    public String toStringById(Payment[] payments) {
        // Arrays.sort(payments, new PaymentSortByPayer());

        // We don't have a PaymentSortById class . (The PaymentSortByPayer class implements the Comparator interface(which has the "compare" method)!)
        // MAKE A LAMBDA EXPRESSION!


        Arrays.sort(payments, Comparator.comparing(Payment::getId));
        StringBuilder sb = new StringBuilder();

        for (int i = 0; i < payments.length; i++) {
            sb.append(payments[i].getShortDescription() + "\n");
        }

        return sb.toString();

    }
}