package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class CheckTest {


    Check check;

    @Before
    public void setUp(){
        check = new Check();
    }

    @Test
    public void getSetIdTest() {
        check.setId(1L);
        Long expected = 1L;
        Long actual = check.getId();
        Assert.assertEquals(expected, actual);
    }


    @Test
    public void getSetPayerNameTest() {
        check.setPayerName("Aliza");
        String expected = "Aliza";
        String actual = check.getPayerName();
        Assert.assertEquals(expected, actual);
    }


    @Test
    public void getSetRoutingNumberTest() {
        check.setRoutingNumber("031201360");
        String expected = "031201360";
        String actual = check.getRoutingNumber();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getSetAccountNumberTest() {
        check.setAccountNumber("0123456789");
        String expected = "0123456789";
        String actual = check.getAccountNumber();
        Assert.assertEquals(expected, actual);
    }


    @Test
    public void getShortDescriptionTest() {
        check= new Check(1L, "Aliza Lang", "031201360", "0123456789");
        String expected = "Check Aliza Lang ***6789";
        String actual = check.getShortDescription();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void compareToTest() {
        check = new Check(1L, "Aliza Lang", "031201360", "0123456789");
        Check check2 = new Check(2L, "Tom Smith", "031201360", "9876543210");

        int actual = check.compareTo(check2);
        Assert.assertTrue(actual < 0);
    }
}