package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class CreditCardTest {

    CreditCard creditCard;
    @Before
    public void setUp() {
        creditCard = new CreditCard();
    }
    @Test
    public void getSetIdTest() {
        creditCard.setId(1L);
        Long expected = 1L;
        Long actual = creditCard.getId();
        Assert.assertEquals(expected, actual);
    }



    @Test
    public void getSetPayerNameTest() {
        creditCard.setPayerName("Aliza");
        String expected = "Aliza";
        String actual = creditCard.getPayerName();
        Assert.assertEquals(expected, actual);
    }



    @Test
    public void getSetNumberTest() {
        creditCard.setNumber("4444555566667777");
        String expected = "4444555566667777";
        String actual = creditCard.getNumber();
        Assert.assertEquals(expected, actual);
    }


    @Test
    public void getSetExpiredMonthTest() {
        creditCard.setExpiredMonth(8);
        int expected = 8;
        int actual = creditCard.getExpiredMonth();
        Assert.assertEquals(expected, actual);
    }



    @Test
    public void getSetExpiredYearTest() {
        creditCard.setExpiredYear(2022);
        int expected = 2022;
        int actual = creditCard.getExpiredYear();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getShortDescriptionTest() {
        creditCard = new CreditCard(1L, "Aliza Lang", "4444555566667777", 8, 2022);
        String expected = "CC Aliza Lang 7777 8/2022";
        String actual = creditCard.getShortDescription();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void compareToTest() {
        creditCard = new CreditCard(1L, "Aliza Lang", "4444555566667777", 8, 2022);
        CreditCard creditCard1 = new CreditCard(2L, "Tom Smith", "4444555566669999", 9, 2032);
        int actual = creditCard.compareTo(creditCard1);
        Assert.assertTrue(actual < 0);
    }

}
