package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class PayPalTest {

    PayPal payPal;

    @Before
    public void setUp() {
        payPal = new PayPal();
    }

    @Test
    public void getSetIdTest() {
        payPal.setId(1L);
        Long expected = 1L;
        Long actual = payPal.getId();
        Assert.assertEquals(expected, actual);
    }


    @Test
    public void getSetPayerNameTest() {
        payPal.setPayerName("Aliza Lang");
        String expected = "Aliza Lang";
        String actual = payPal.getPayerName();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getSetEmailTest() {
        payPal.setEmail("alizalang@gmail.com");
        String expected = "alizalang@gmail.com";
        String actual = payPal.getEmail();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getShortDescriptionTest() {
        payPal = new PayPal(1L, "Aliza Lang", "alizalang@gmail.com");
        String expected = "Paypal Aliza Lang alizalang@gmail.com";
        String actual = payPal.getShortDescription();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void compareToTest() {
       PayPal payPal1 = new PayPal(1L, "Aliza Lang", "alizalang@gmail.com");
       PayPal payPal2 = new PayPal(2L, "Tom Smith", "tomsmith@gmail.com");
        int actual = payPal1.compareTo(payPal2);
        Assert.assertTrue(actual < 0);
    }
}