package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class PaymentSortByPayerTest {

    PaymentSortByPayer paymentSortByPayer;
    Check check;
    PayPal payPal;
    CreditCard creditCard;

    @Before
    public void setUp() {

        paymentSortByPayer = new PaymentSortByPayer();
        check = new Check(1L, "Aliza Lang", "0123456789", "031201360");
        payPal = new PayPal(2L, "Tom Smith", "tomsmith@gmail.com");
        creditCard = new CreditCard(1L, "Aliza Lang", "1111222233334444", 10, 2025);

    }

    @Test
    public void ifPaymentOneComesAfterPaymentTwoCompareTest() {

//  The compare method will return number larger than 0 if payment1 comes after payment2

        int actual = paymentSortByPayer.compare(check, payPal);
        Assert.assertTrue(actual < 0);
    }

    @Test
    public void ifPaymentHasSameInformationCompareTest() {

//    The compare method will return number 0 if the payment has the same information

        int actual = paymentSortByPayer.compare(check, creditCard);
        Assert.assertTrue(actual == 0);
    }

    @Test
    public void ifPaymentOneComesBeforePaymentTwoCompareTest() {

//    The compare method will return number less than 0 if payment1 comes before payment2

        int actual = paymentSortByPayer.compare(payPal, check);
        Assert.assertTrue(actual > 0);
    }
}